Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.ulc.corba
Class UlcCorbaServantFactoryImpl

    java.lang.Object
      |
      +--org.omg.CORBA.portable.ObjectImpl
            |
            +--org.omg.CORBA.DynamicImplementation
                  |
                  +--com.ibm.ulc.corba.generated._UlcCorbaServantFactoryImplBase
                        |
                        +--com.ibm.ulc.corba.UlcCorbaServantFactoryImpl

public class UlcCorbaServantFactoryImpl
extends com.ibm.ulc.corba.generated._UlcCorbaServantFactoryImplBase

Field Summary
`static boolean` | `fgDebug`

Constructor Summary
`UlcCorbaServantFactoryImpl(UlcCorbaTransportServer server)`

Method Summary
`java.lang.String` | `createServant(java.lang.String applicationName, java.lang.String remServantIOR)`

Methods inherited from class com.ibm.ulc.corba.generated._UlcCorbaServantFactoryImplBase
`_ids, invoke`

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### fgDebug

    public static boolean fgDebug

Constructor Detail

### UlcCorbaServantFactoryImpl

    public UlcCorbaServantFactoryImpl(UlcCorbaTransportServer server)

Method Detail

### createServant

    public java.lang.String createServant(java.lang.String applicationName,
                                          java.lang.String remServantIOR)

  Overrides:
    createServant in class com.ibm.ulc.corba.generated._UlcCorbaServantFactoryImplBase

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD